package main

import (
	"flag"
	"log"
)

func main() {
	var configpath string
	var fpc FuelPricesConfig
	var err error
	var szip Srcfile
	var output []byte

	flag.StringVar(&configpath, "configfile", "common.ini", "config file to use with fuelprices section")
	flag.Parse()

	err = GetConfig(configpath, &fpc)
	if err != nil {
		log.Fatal(err)
	}

	err = DownloadFile(&fpc, &szip)
	if err != nil {
		log.Fatal(err)
	}

	err = ExtractZip(&fpc, &szip, &output)
	if err != nil {
		log.Fatal(err)
	}

	var prices *[]Price
	err = GetPrices(&prices, &fpc, &output)
	if err != nil {
		log.Fatal(err)
	}

	err = SendToInflux(&fpc, prices)
	if err != nil {
		log.Fatal(err)
	}
}
